Package: org.apache.groovy.json.internal

## [Java] Class ValueList

- org.apache.groovy.json.internal.ValueList

- Authors:
    Rick Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ValueList (boolean lazyChop)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `add(Object obj)`
    `` | `void` | `chopList()`
    `` | `void` | `clear()`
    `` | `Object` | `get(int index)`
    `` | `Iterator<Object>` | `iterator()`
    `` | `List<Object>` | `list()`
    `` | `int` | `size()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractList` | `add, add, remove, get, equals, hashCode, indexOf, clear, iterator, lastIndexOf, subList, addAll, set, listIterator, listIterator, remove, toString, contains, isEmpty, size, toArray, toArray, addAll, containsAll, removeAll, retainAll, wait, wait, wait, getClass, notify, notifyAll, stream, removeIf, parallelStream, forEach, replaceAll, size, spliterator, sort`
    `class AbstractCollection` | `add, remove, toString, clear, contains, isEmpty, iterator, size, toArray, toArray, addAll, containsAll, removeAll, retainAll, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll, spliterator, stream, removeIf, parallelStream, forEach`

- - ### Constructor Detail

    - #### public ValueList(boolean lazyChop)

  - ### Method Detail

    - #### public boolean add(Object obj)

    - #### public void chopList()

    - #### public void clear()

    - #### public Object get(int index)

    - #### public Iterator<Object> iterator()

    - #### public List<Object> list()

    - #### public int size()